#
# spec file for package vacm (Version 2.0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake esound glib glib-devel gnome-libs-devel gpp gtk gtk-devel imlib imlib-devel libgpp readline readline-devel xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         vacm
%define prefix  /usr
Summary:      VACM (Pronounced VaKuum) is a client / server system allowing
Version:      2.0.5
Release:      132
Prefix: %{prefix}
Copyright: GPL
Group: Applications/Clustering
Source: http://download.sourceforge.net/vacm/vacm-%{version}.tar.bz2
URL: 	http://vacm.sourceforge.net/
Buildroot: %{_tmppath}/vacm-%{version}-root
Patch: vacm-%{version}.dif
Obsoletes: vacm-doc
Provides: vacm-doc

%description
VACM (Pronounced VaKuum) is a client / server system allowing
monitoring and management of a cluster of nodes equipped with
Intel(TM)'s Intelligent Platform Management Interface (IPMI).
Management capabilities include device power control, nvram system
event log download, hardware reset, and remote bios console.
Monitoring capabilities include power system monitoring, chassis
intrusion monitoring, fan status monitoring, and O/S watchdog
monitoring. Since the IPMI is implemented in hardware running on
separate microcontrollers, monitoring a node does *not* impact on the
monitored node's performance.  Furthermore, VACM allows monitoring and
management of a node from a remote station (via TCP/IP).

Authors:
--------
    San Mehat<nettwerk@valinux.com>
    Carsten Haitzler <raster@valinux.com>
    Dean Johnson <dtj@sgi.com>
    Jerry Katzung <katzung@valinux.com>
    Zac Sprackett <zacs@valinux.com>

SuSE series: beo

%package node
Summary:      VA-Cluster Manager - client node package
Group: Applications/Clustering
Requires: vacm-clientlib >= 2.0

%description node
Package to be installed on VACM client nodes.  It contains daemons
for use with various VACM modules for additional monitoring
functionality.

Authors:
--------
    San Mehat<nettwerk@valinux.com>
    Carsten Haitzler <raster@valinux.com>
    Dean Johnson <dtj@sgi.com>
    Jerry Katzung <katzung@valinux.com>
    Zac Sprackett <zacs@valinux.com>

SuSE series: beo

%package devel
Summary:      Header files for developing VACM modules
Group: Applications/Clustering
Requires: vacm-clientlib >= 2.0

%description devel
Header files for developing VACM modules

Authors:
--------
    San Mehat<nettwerk@valinux.com>
    Carsten Haitzler <raster@valinux.com>
    Dean Johnson <dtj@sgi.com>
    Jerry Katzung <katzung@valinux.com>
    Zac Sprackett <zacs@valinux.com>

SuSE series: beo

%package vash
Summary:      VACM command line client
Group: Applications/Clustering
Requires: vacm-node

%description vash
VACM command line client for scripting and low level command-line access.

Authors:
--------
    San Mehat<nettwerk@valinux.com>
    Carsten Haitzler <raster@valinux.com>
    Dean Johnson <dtj@sgi.com>
    Jerry Katzung <katzung@valinux.com>
    Zac Sprackett <zacs@valinux.com>

SuSE series: beo

%package flim
Summary:      GUI for VACM
Group: Applications/Clustering 
Requires: gtk+ >= 1.2.6
Requires: vacm-clientlib >= 2.0
Requires: vacm-sercon >= 2.0

%description flim
Flim is a Graphical User Interface (GUI) for VACM which provides
easy interaction with the nexxus through several plugin modules.

Authors:
--------
    San Mehat<nettwerk@valinux.com>
    Carsten Haitzler <raster@valinux.com>
    Dean Johnson <dtj@sgi.com>
    Jerry Katzung <katzung@valinux.com>
    Zac Sprackett <zacs@valinux.com>

SuSE series: beo

%package hoover
Summary:      GUI for VACM
Group: Applications/Clustering
Requires: gtk+ >= 1.2.6
Requires: vacm-clientlib >= 2.0

%description hoover
Hoover is a Graphical User Interface (GUI) for VACM.

Authors:
--------
    San Mehat<nettwerk@valinux.com>
    Carsten Haitzler <raster@valinux.com>
    Dean Johnson <dtj@sgi.com>
    Jerry Katzung <katzung@valinux.com>
    Zac Sprackett <zacs@valinux.com>

SuSE series: beo

%package sercon
Summary:      Serial Console Terminal program
Group: Applications/Clustering
Requires: vacm-clientlib >= 2.0

%description sercon
Command-line serial console terminal program to remotely access consoles of
nodes on a VACM cluster

Authors:
--------
    San Mehat<nettwerk@valinux.com>
    Carsten Haitzler <raster@valinux.com>
    Dean Johnson <dtj@sgi.com>
    Jerry Katzung <katzung@valinux.com>
    Zac Sprackett <zacs@valinux.com>

SuSE series: beo

%package clientlib
Summary:      VACM client libraries
Group: Applications/Clustering

%description clientlib
VACM client libraries

Authors:
--------
    San Mehat<nettwerk@valinux.com>
    Carsten Haitzler <raster@valinux.com>
    Dean Johnson <dtj@sgi.com>
    Jerry Katzung <katzung@valinux.com>
    Zac Sprackett <zacs@valinux.com>

SuSE series: beo

%define DIST %(echo %{_target_cpu}|sed -e "s/i.86/i486/" -e "s/ppc/powerpc/" -e "s/sparc64/sparc/" -e "s/sparc/sparc64/")-suse-linux
%prep
%setup -q
%patch

%build
DIRS=$(find -type d)
%{?suse_update_config:%{suse_update_config -f $DIRS}}
autoconf
(
cd clients/flim;
autoconf
)
CFLAGS="${RPM_OPT_FLAGS} -O3" \
CXXFLAGS="${RPM_OPT_FLAGS} -O3" \
./configure \
    --prefix=%{prefix} \
    --mandir=/usr/share/man \
    --sysconfdir=/etc \
    --enable-static \
    --enable-pam 
#    --enable-ssl \
    
make

%install
install -d $RPM_BUILD_ROOT/etc/vacm
make DESTDIR=$RPM_BUILD_ROOT install
#find $RPM_BUILD_ROOT/%{prefix}/share/doc/ -type f -print |\
#	sed -e "s@^$RPM_BUILD_ROOT@@g" > doc-file.lst
install -d $RPM_BUILD_ROOT%{prefix}/sbin
install -d $RPM_BUILD_ROOT/etc
touch $RPM_BUILD_ROOT/etc/vacm_sys_statd.passwd
install -m 755 $RPM_BUILD_ROOT%{prefix}/lib/vacm/exports/* $RPM_BUILD_ROOT%{prefix}/sbin
# init.d
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 755 packaging/SuSE/vacm.init $RPM_BUILD_ROOT/etc/init.d/vacm
install -m 755 packaging/SuSE/node.init $RPM_BUILD_ROOT/etc/init.d/vacm-node
ln -sf ../../etc/init.d/vacm $RPM_BUILD_ROOT/usr/sbin/rcvacm
ln -sf ../../etc//init.d/vacm-node $RPM_BUILD_ROOT/usr/sbin/rcvacm-node
#fillup
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 packaging/SuSE/vacm.rc.config $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.vacm
install -m 644 packaging/SuSE/vacm.rc.config.d $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.d.vacm
install -m 644 packaging/SuSE/vacmnode.rc.config $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.vacmnode

%clean
rm -rf $RPM_BUILD_ROOT
rm -f doc-file.lst

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  if ! [ -d etc/rc.config.d ] ; then
     mkdir -p etc/rc.config.d
  fi
  if ! [ -f etc/rc.config.d/vacm.rc.config ] ; then
     bin/fillup -q -r -i etc/rc.config var/adm/fillup-templates/rc.config.d.vacm etc/rc.config.d/vacm.rc.config
     mv etc/rc.config.new etc/rc.config
  else
     bin/fillup -q etc/rc.config.d/vacm.rc.config var/adm/fillup-templates/rc.config.d.vacm
  fi
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.vacm
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.vacm"
  echo "and update by hand."
fi                                
#touch /usr/lib/vacm/vacm_configuration
#chmod 600 /usr/lib/vacm/vacm_comfiguration
sbin/insserv etc/init.d/vacm

%post node
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.vacmnode
else 
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.vacm and update by hand."
fi
sbin/insserv etc/init.d/vacm-node

%preun 
sbin/insserv etc/init.d/

%preun node
sbin/insserv etc/init.d

%files 
%doc docs/vacm_manual/*
%defattr(-,root,root)
%{prefix}/lib/libloose-*
%{prefix}/lib/vacm/modules/*
%{prefix}/lib/vacm/exports/*
%config /etc/vacm/vacm_configuration
%{prefix}/bin/nexxus
/etc/init.d/vacm
/usr/sbin/rcvacm
/var/adm/fillup-templates/rc.config.vacm
/var/adm/fillup-templates/rc.config.d.vacm

%files sercon
%defattr(-,root,root)
%{prefix}/bin/sercon_terminal     

%files hoover
%defattr(-,root,root)
%{prefix}/bin/hoover
%{prefix}/lib/libgessie-*
%{prefix}/share/man/man8/hoover.8.gz

%files flim
%defattr(-,root,root)
%{prefix}/bin/flim
%{prefix}/lib/flim/*
%{prefix}/share/flim/*
%{prefix}/share/locale/*/LC_MESSAGES/flim.mo 

%files node
%defattr(-,root,root)
%{prefix}/sbin/*
/etc/init.d/vacm-node
%config(noreplace) /etc/vacm_sys_statd.passwd  
/var/adm/fillup-templates/rc.config.vacmnode

%files devel
%defattr(-,root,root)
%{prefix}/include/* 
%{prefix}/lib/libvacmclient.a
%{prefix}/lib/libloose.a
%{prefix}/lib/libgessie.so
%{prefix}/lib/libloose.so
%{prefix}/lib/libvacmclient.so
%{prefix}/lib/*.la

%files vash
%{prefix}/bin/vash

%files clientlib
%defattr(-,root,root)
%{prefix}/lib/libvacmclient-*.so

%changelog -n vacm
* Mon Jul 30 2001 - nashif@suse.de
- autoconf in flim directory
* Mon Jul 16 2001 - schwab@suse.de
- Don't define __u32 which is a reserved identifier.
* Mon Jul 16 2001 - nashif@suse.de
-  Reorgnised documentation.
-  Dropped sub-package vacm-doc
* Mon Jul 09 2001 - nashif@suse.de
-  Fixed init scripts to comply with LSB
-  Removed openssl dependency
* Wed Jun 06 2001 - nashif@suse.de
-  Fixed configure.in (Added AC_CANONICAL_SYSTEM)
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Wed Apr 11 2001 - ro@suse.de
- source was corrupted, re-got tar
* Mon Apr 09 2001 - nashif@suse.de
- Do not create impi devices, conflicts with devices in devs.rpm
* Mon Apr 09 2001 - nashif@suse.de
- Added ssl support
- Fixed documentation to match changes in config files location
- Applied patches from schwab@suse.de
- Fixed %%files
- Renamed vacm-lib to vacm-clientlib to avoid confusion (Also matches
  original spec from developer)
- Added package vacm-doc for documentation
* Mon Apr 09 2001 - schwab@suse.de
- Only include runtime libraries in lib package, move linktime libraries
  to devel package.
- Fix int <-> char * bug.
- Fix bad casts.
* Sun Apr 08 2001 - nashif@suse.de
- Update to version 2.0.5
- build documentation
* Fri Mar 23 2001 - nashif@suse.de
- Update to version 2.0.4
- Split gui to new packages
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Fri Feb 16 2001 - nashif@suse.de
- Update to version 2.0.3
* Fri Feb 09 2001 - ro@suse.de
- fixed to compile
* Wed Jan 10 2001 - nashif@suse.de
- Fix bug #5397: Fix %%files in spec file
- Changed Groups
* Wed Nov 29 2000 - nashif@suse.de
- Initial Release (version 2.0.0)
